package com.ho.business.mapper;

import com.ho.business.entity.YcValue;
import com.ho.business.vo.resp.StatisticsRespVO;
import org.apache.ibatis.annotations.Param;
import org.mapstruct.Mapper;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
* @author yule
* @description 针对表【yc_value】的数据库操作Mapper
* @createDate 2022-09-13 16:53:34
* @Entity com.ho.business.entity.YcValue
*/
@Mapper
public interface YcValueMapper {

    int deleteByPrimaryKey(Integer id);

    int insert(YcValue record);

    int insertSelective(YcValue record);

    YcValue selectByPrimaryKey( Integer id);

    int updateByPrimaryKeySelective(YcValue record);

    int updateByPrimaryKey(YcValue record);

    List<YcValue> selectByStationAndCreateTime(Integer stationId, String first, String current);

    //日期时间段查询
    List<YcValue> selectByStationAndDay(@Param("stationId") Integer stationId, @Param("beginDay") String beginDay, @Param("endDay") String endDay,
                                        @Param("typeList") List<Integer> typeList);

    BigDecimal selectYearChargeE(@Param("stationId") Integer stationId, @Param("type") Integer type, @Param("beginTime") String beginTime, @Param("endTime") String endTime);

    List<StatisticsRespVO> getStatisticsList(Map<String, Object> map);

    //按条件查询
    List<YcValue> getListByCondition(Map<String, Object> map);

    BigDecimal selectCommandsNum(Map<String, Object> map);

    BigDecimal getHoursCounted(Map<String, Object> map);
}
